# Agent Tcl
# Bob Gray
# 29 June 1995
#
# This Makefile compiles the generic object files.
#
# Copyright 1995, Robert S. Gray, Department of Computer, Dartmouth College

  # objects that are compiled by this Makefile

COMP_OBJS	= agentId.o \
	  	  agentAgentId.o \
	  	  agentPermit.o \
		  agentSecure.o \
		  agentVersion.o \
		  genAgent.o \
		  genAgentIO.o \
		  genAgentConn.o \
		  genAgentConv.o \
		  genBasic.o \
		  genConversion.o \
		  genDaemon.o \
		  genDefaults.o \
		  genEncrypt.o \
	          genError.o \
	          genFactory.o \
	          genFile.o \
		  genPipe.o \
		  genLocation.o \
		  genManager.o \
		  genMasks.o \
		  genMesgDriver.o \
	          genMessage.o \
	          genMeeting.o \
	          genPGP.o \
	          genQueue.o \
	          genDStringQueue.o \
                  genRestrict.o \
		  genSecurity.o \
		  genServerInterface.o \
	          genTransmit.o \
		  genUtility.o \
		  genVersion.o

  # defines that are set by "configure"

DEFINES		= @DEFS@ \
		  -DPGP_EXECUTABLE=\"${PGP_EXECUTABLE}\" \
		  -DPGP_KEY_DIRECTORY=\"${PGP_KEY_DIRECTORY}\" \
		  -DUNIX_SOCKET=\"${UNIX_SOCKET}\"

  # source directroy and CC

SOURCE_DIR	= @srcdir@
CC		= @CXX@

  # shared libaries

SHLIB_CFLAGS	= @SHLIB_CFLAGS@

  # include directory

INCLUDE_DIR	= -I${SOURCE_DIR} \
		  -I${SOURCE_DIR}/../platform/include \
		  -I${SOURCE_DIR}/../support \
		  -I${SOURCE_DIR}/../messaging \
		  -I${SOURCE_DIR}/../random \
		  -I${SOURCE_DIR}/../agent-java/include \
		  -I${SOURCE_DIR}/../agent-java/include/solaris

  # force the use of the Bourne shell on machines such as SGI's

SHELL		= /bin/sh

  # switches

CC_SWITCHES 	= $(CFLAGS) $(THREAD_FLAGS) $(SHLIB_CFLAGS) $(INCLUDE_DIR) $(DEFINES)

all: $(COMP_OBJS)

agentId.o: ${SOURCE_DIR}/agentId.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/agentId.cc

agentAgentId.o: ${SOURCE_DIR}/agentAgentId.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/agentAgentId.cc

agentPermit.o: ${SOURCE_DIR}/agentPermit.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/agentPermit.cc

agentSecure.o: ${SOURCE_DIR}/agentSecure.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/agentSecure.cc

agentVersion.o: ${SOURCE_DIR}/agentVersion.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/agentVersion.cc

genAgent.o: ${SOURCE_DIR}/genAgent.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genAgent.cc

genAgentIO.o: ${SOURCE_DIR}/genAgentIO.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genAgentIO.cc

genAgentConn.o: ${SOURCE_DIR}/genAgentConn.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genAgentConn.cc

genAgentConv.o: ${SOURCE_DIR}/genAgentConv.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genAgentConv.cc

genBasic.o: ${SOURCE_DIR}/genBasic.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genBasic.cc

genConversion.o: ${SOURCE_DIR}/genConversion.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genConversion.cc

genDaemon.o: ${SOURCE_DIR}/genDaemon.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genDaemon.cc

genDefaults.o: ${SOURCE_DIR}/genDefaults.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genDefaults.cc

genFactory.o: ${SOURCE_DIR}/genFactory.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genFactory.cc

genFile.o: ${SOURCE_DIR}/genFile.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genFile.cc

genPipe.o: ${SOURCE_DIR}/genPipe.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genPipe.cc

genError.o: ${SOURCE_DIR}/genError.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genError.cc

genEncrypt.o: ${SOURCE_DIR}/genEncrypt.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genEncrypt.cc

genLocation.o: ${SOURCE_DIR}/genLocation.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genLocation.cc

genMasks.o: ${SOURCE_DIR}/genMasks.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genMasks.cc

genManager.o: ${SOURCE_DIR}/genManager.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genManager.cc

genMesgDriver.o: ${SOURCE_DIR}/genMesgDriver.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genMesgDriver.cc

genMessage.o: ${SOURCE_DIR}/genMessage.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genMessage.cc

genMeeting.o: ${SOURCE_DIR}/genMeeting.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genMeeting.cc

genPGP.o: ${SOURCE_DIR}/genPGP.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genPGP.cc

genQueue.o: ${SOURCE_DIR}/genQueue.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genQueue.cc

genDStringQueue.o: ${SOURCE_DIR}/genDStringQueue.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genDStringQueue.cc

genRestrict.o: ${SOURCE_DIR}/genRestrict.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genRestrict.cc

genSecurity.o: ${SOURCE_DIR}/genSecurity.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genSecurity.cc

genServerInterface.o: ${SOURCE_DIR}/genServerInterface.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genServerInterface.cc

genTransmit.o: ${SOURCE_DIR}/genTransmit.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genTransmit.cc

genUtility.o: ${SOURCE_DIR}/genUtility.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genUtility.cc

genVersion.o: ${SOURCE_DIR}/genVersion.cc Makefile
	$(CC) $(CC_SWITCHES) -c ${SOURCE_DIR}/genVersion.cc

depend:
	makedepend -Y -- $(CC_SWITCHES) -- ${SOURCE_DIR}/*.cc >& /dev/null

# DO NOT DELETE THIS LINE -- make depend depends on it
